| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Num::SampledDataElement Class Reference

A single element of a sampled data, contains vector of input parameters and vector of output values. More...

Collaboration diagram for IG::Num::SampledDataElement:
[legend]

List of all members.

## Public Member Functions
| SampledDataElement (IVector input, IVector output)
| Creates a new sampled data element with the specified vectors of input parameters and corresponding output values.
## Static Public Member Functions
static void | UpdateElemetIndices (IEnumerable< SampledDataElement > elements)
| Updates indices of sampled data elements contained in the specified collection in such a way that they correspond with their position in collection. In this way, element indices can be used to directly access elements within the collection (without a search).
## Protected Attributes
IVector | _inputParameters
IVector | _outputValues
## Properties
int | Index`[get, set]`
| Idex of the current sampled data element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out.
virtual IVector | InputParameters`[get, set]`
| Vector of input parameters of a single element of sampled data.
virtual IVector | OutputValues`[get, set]`
| Vector of input parameters of a single element of sampled data.
virtual int | InputLength`[get]`
| Returns number of input parameters of the current sampled data element.
virtual int | OutputLength`[get]`
| Returns number of output values of the current sampled data element.
## Private Attributes
int | _index

## Detailed Description

A single element of a sampled data, contains vector of input parameters and vector of output values.

$A Igor Jun08;

## Constructor & Destructor Documentation

IG::Num::SampledDataElement::SampledDataElement | ( | IVector | input,
|  | IVector | output
| ) |  | `[inline]`

Creates a new sampled data element with the specified vectors of input parameters and corresponding output values.

Parameters:

  input | Input parameters.
  output | Corresponding output values.

## Member Function Documentation

static void IG::Num::SampledDataElement::UpdateElemetIndices | ( | IEnumerable< SampledDataElement > | elements | ) | `[inline, static]`

Updates indices of sampled data elements contained in the specified collection in such a way that they correspond with their position in collection. In this way, element indices can be used to directly access elements within the collection (without a search).

Parameters:

  elements | Collection of sampled data elements for which element indices are updated.

## Member Data Documentation

int IG::Num::SampledDataElement::_index`[private]`

IVector IG::Num::SampledDataElement::_inputParameters`[protected]`

IVector IG::Num::SampledDataElement::_outputValues`[protected]`

## Property Documentation

int IG::Num::SampledDataElement::Index`[get, set]`

Idex of the current sampled data element in arrays or list (or in SampledDataSet objects), auxiliary information that facilitates identification and access to specific data chunk out of those that are worked out.

virtual IVector IG::Num::SampledDataElement::InputParameters`[get, set]`

Vector of input parameters of a single element of sampled data.

virtual IVector IG::Num::SampledDataElement::OutputValues`[get, set]`

Vector of input parameters of a single element of sampled data.

virtual int IG::Num::SampledDataElement::InputLength`[get]`

Returns number of input parameters of the current sampled data element.

virtual int IG::Num::SampledDataElement::OutputLength`[get]`

Returns number of output values of the current sampled data element.

The documentation for this class was generated from the following file:

- SampledData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events